r.grow(1)

NAME
r.grow - Generates a raster map layerwith contiguous areas grown by one cell.

SYNOPSIS
r.grow
r.grow help
r.grow [-q] input=string output=string [radius=float] [metric=string] [old=integer] [new=integer]

  Flags:

-q  Quiet

  Parameters:

input=string
    Name of existing input raster file

output=string
    Name of output raster file

radius=float
    Radius of buffer Default: 1.01

metric=string
    Metric Options: euclidian,maximum,manhattan Default: euclidian

old=integer
    Value to write for input cells which are non-NULL (-1 => NULL)

new=integer
    Value to write for "grown" cells

DESCRIPTION
r.grow adds cells around the perimeters of all areas in a user-specified raster map layer and stores the output in a new raster map layer. The user can use it to grow by one or more than one cell, or like r.buffer, but with the option of preserving the original cells (similar to combining r.buffer and r.patch).

SEE ALSO
r.buffer, r.patch

AUTHORS
Marjorie Larson, U.S. Army Construction Engineering Research Laboratory

Glynn Clements

Last changed: $Date: 2004/11/12 13:05:41 $

Help Index